> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查詢持倉詳情

> 查詢持倉詳情

查詢持倉詳情。

> [!NOTE]
>
> 該介面為私有介面，需要按照事件市場認證要求完成認證後呼叫。


## OpenAPI

````yaml openapi/event-markets-zh-TW.yaml GET /api/v4/broker/prediction/positions/{position_id}
openapi: 3.0.3
info:
  title: DexBuilder Prediction Market API
  version: 1.0.0
  description: DexBuilder 事件市場 REST API
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/broker/prediction/positions/{position_id}:
    get:
      summary: 查詢持倉詳情
      description: 查詢持倉詳情
      operationId: query_position
      parameters:
        - name: Timestamp
          in: header
          required: true
          description: Unix 秒級時間戳；與閘道時間的差距不得超過 60 秒。
          schema:
            type: string
        - name: SIGN
          in: header
          required: true
          description: 使用實際對外請求路徑、Query 與 Body 計算的 HMAC-SHA512 十六進位簽名。
          schema:
            type: string
        - name: X-User-Wallet-Address
          in: header
          required: true
          description: 目標終端使用者的錢包地址；閘道會驗證該錢包屬於目前 Broker。
          schema:
            type: string
        - name: position_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 請求成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PositionItem'
        '400':
          description: 請求參數錯誤
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: 認證失敗
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: 服務暫時不可用
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BrokerAPIKey: []
components:
  schemas:
    PositionItem:
      type: object
      properties:
        available_size:
          type: string
        avg_open_price:
          type: string
        claimable_amount:
          type: string
        event_id:
          type: string
        locked_size:
          type: string
        outcome:
          type: string
        position_id:
          type: string
        position_value:
          type: string
        settlement_status:
          type: string
        size:
          type: string
        token_id:
          type: string
        updated_at:
          type: integer
        won:
          type: boolean
      description: 回應物件。
    Error:
      type: object
      description: 錯誤回應。
      properties:
        label:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: invalid request
  securitySchemes:
    BrokerAPIKey:
      type: apiKey
      in: header
      name: KEY
      description: Broker API Key，由專案管理流程建立。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.